package com.app.input.inputaura.nggfsdfds;



import java.util.ArrayList;
import java.util.List;

public class GobYiu {
    private String name;
    private List<UnyOin> unyOins = new ArrayList<>();


    public GobYiu(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<UnyOin> getKeys() {
        return unyOins;
    }

    public void addKey(UnyOin unyOin) {
        this.unyOins.add(unyOin);
    }

    public UnyOin getLastKey() {
        return unyOins.isEmpty() ? null : unyOins.get(unyOins.size() - 1);
    }


}